import { signal } from "uhtml/preactive";
import { Route } from "../router";

// the current page / params for this URL
export const page = signal(Route.Receive);
export const params = signal(
  new URLSearchParams(window.location.hash.slice(1))
);

export enum LOCAL_STORAGE_KEYS {
  REQUEST_PUBLIC_KEY = "requestPublicKey",
  ECDH_PUBLIC_KEY = "ecdhPublic",
  ECDH_PRIVATE_KEY = "ecdhPrivate",
}
